Predefined Constants
Directory::close
Directories
PHP Manual

# The Directory class

(PHP 4, PHP 5, PHP 7)

## Introduction

Instances of Directory are created by calling the dir() function, not by the new operator.

## Class synopsis

Directory {
/* Properties */
public string $path ;
public resource $handle ;
/* Methods */
public void close ([ resource `$dir_handle` ] )
public string read ([ resource `$dir_handle` ] )
public void rewind ([ resource `$dir_handle` ] )
}

## Properties

path

  The directory that was opened.

handle

  Can be used with other directory functions such as readdir(), rewinddir() and closedir().

## Table of Contents

- Directory::close — Close directory handle
- Directory::read — Read entry from directory handle
- Directory::rewind — Rewind directory handle

Predefined Constants
Directory::close
Directories
PHP Manual